<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.system.mapper.EduAgentWxPublicReceiverMapper">
    <select id="listReceiverBySchool"
            resultType="com.yida.data.common.core.entity.agent.EduAgentWxPublicReceiver">
        select a.*
        from edu_agent_wx_public_receiver a left join edu_agent b on a.agent_id=b.id
        left join edu_agent_school_relate c on b.id=c.agent_id
        where a.del_flag=0 and b.del_flag=0 and c.del_flag=0
        and c.school_id=#{schoolId}
    </select>
</mapper>